#-------------------------------------------------
#
# Project created by QtCreator 2016-08-31T10:39:43
#
#-------------------------------------------------

TARGET = animator
TEMPLATE = app

CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt

SOURCES += \
    animator.cpp\
    imagegl.cpp \  
    management.cpp

HEADERS  += \
    imagegl.h \
    byteimage.h \
    getoption.h \
    management.h

FORMS    +=

macx{
    LIBS += -framework OpenGL
    LIBS += -framework glut

    INCLUDEPATH += /usr/local/include\
                   /Users/pms3/Sources3rdParty/alglib-3.10.0/cpp/src\
                   /Users/pms3/Sources3rdParty/InsightToolkit-4.10.0/Modules/ThirdParty/MINC/src/libminc\
                   /System/Library/Frameworks/OpenGL.framework/Versions/A/Headers\
                   /usr/local/include/ITK-4.10\
                   /Users/pms3/Sources3rdParty/InsightToolkit-4.10.0/Modules/Nonunit/Review/include

    LIBS += \
            /usr/local/lib/libopencv_core.dylib\
            /usr/local/lib/libopencv_video.dylib\
            /usr/local/lib/libopencv_highgui.dylib\
            /usr/local/lib/libitksys-4.10.a\
            /usr/local/lib/libITKBiasCorrection-4.10.a\
            /usr/local/lib/libITKBioCell-4.10.a\
            /usr/local/lib/libITKCommon-4.10.a\
            /usr/local/lib/libITKDICOMParser-4.10.a\
            /usr/local/lib/libitkdouble-conversion-4.10.a\
            /usr/local/lib/libITKEXPAT-4.10.a\
            /usr/local/lib/libITKFEM-4.10.a\
            /usr/local/lib/libitkhdf5_cpp-4.10.a\
            /usr/local/lib/libitkhdf5-4.10.a\
            /usr/local/lib/libITKIOBioRad-4.10.a\
            /usr/local/lib/libITKIOBMP-4.10.a\
            /usr/local/lib/libITKIOCSV-4.10.a\
            /usr/local/lib/libITKIOGDCM-4.10.a\
            /usr/local/lib/libITKIOGE-4.10.a\
            /usr/local/lib/libITKIOGIPL-4.10.a\
            /usr/local/lib/libITKIOHDF5-4.10.a\
            /usr/local/lib/libITKIOImageBase-4.10.a\
            /usr/local/lib/libITKIOIPL-4.10.a\
            /usr/local/lib/libITKIOJPEG-4.10.a\
            /usr/local/lib/libITKIOLSM-4.10.a\
            /usr/local/lib/libITKIOMesh-4.10.a\
            /usr/local/lib/libITKIOMeta-4.10.a\
            /usr/local/lib/libITKIOMRC-4.10.a\
            /usr/local/lib/libITKIONIFTI-4.10.a\
            /usr/local/lib/libITKIONRRD-4.10.a\
            /usr/local/lib/libITKIOPNG-4.10.a\
            /usr/local/lib/libITKIOSiemens-4.10.a\
            /usr/local/lib/libITKIOSpatialObjects-4.10.a\
            /usr/local/lib/libITKIOStimulate-4.10.a\
            /usr/local/lib/libITKIOTIFF-4.10.a\
            /usr/local/lib/libITKIOTransformBase-4.10.a\
            /usr/local/lib/libITKIOTransformHDF5-4.10.a\
            /usr/local/lib/libITKIOTransformInsightLegacy-4.10.a\
            /usr/local/lib/libITKIOTransformMatlab-4.10.a\
            /usr/local/lib/libITKIOVTK-4.10.a\
            /usr/local/lib/libITKIOXML-4.10.a\
            /usr/local/lib/libITKKLMRegionGrowing-4.10.a\
            /usr/local/lib/libITKLabelMap-4.10.a\
            /usr/local/lib/libITKMesh-4.10.a\
            /usr/local/lib/libITKMetaIO-4.10.a\
            /usr/local/lib/libitkNetlibSlatec-4.10.a\
            /usr/local/lib/libITKniftiio-4.10.a\
            /usr/local/lib/libITKNrrdIO-4.10.a\
            /usr/local/lib/libITKOptimizers-4.10.a\
            /usr/local/lib/libITKPath-4.10.a\
            /usr/local/lib/libITKPolynomials-4.10.a\
            /usr/local/lib/libITKQuadEdgeMesh-4.10.a\
            /usr/local/lib/libITKSpatialObjects-4.10.a\
            /usr/local/lib/libITKStatistics-4.10.a\
            /usr/local/lib/libitkv3p_netlib-4.10.a\
            /usr/local/lib/libitkvcl-4.10.a\
            /usr/local/lib/libITKVideoCore-4.10.a\
            /usr/local/lib/libITKVideoIO-4.10.a\
            /usr/local/lib/libitkvnl_algo-4.10.a\
            /usr/local/lib/libitkvnl-4.10.a\
            /usr/local/lib/libITKVNLInstantiation-4.10.a\
            /usr/local/lib/libITKVTK-4.10.a\
            /usr/local/lib/libITKWatersheds-4.10.a\
            /usr/local/lib/libitkzlib-4.10.a\
            /usr/local/lib/libitktiff-4.10.a\
            /usr/local/lib/libITKznz-4.10.a
}
else:unix{
    INCLUDEPATH += /usr/include/nifti
    LIBS += -lGL
    LIBS += -lGLU
    LIBS += -lglut
    LIBS += -lniftiio
    LIBS += -lopencv_core
    LIBS += -lopencv_imgproc
    LIBS += -lopencv_highgui
    LIBS += -lopencv_legacy
    LIBS += -lopencv_video
}
else:win32{
}

